From 22b5de1f14fad8c2467e4f97fac79245173de317 Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Tue, 7 Jul 2009 08:09:38 +0200
Subject: [PATCH] busybox: Fix getline conflicts.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
Signed-off-by: Vinit Dhatrak <vinitd@marvell.com>
---
 busybox.spec                |    7 ++++++-
 uClibc-0.9.30-getline.patch |   29 +++++++++++++++++++++++++++++
 2 files changed, 35 insertions(+), 1 deletions(-)
 create mode 100644 uClibc-0.9.30-getline.patch

diff --git a/busybox.spec b/busybox.spec
index 03c14b8..f3faed1 100644
--- a/busybox.spec
+++ b/busybox.spec
@@ -1,7 +1,7 @@
 Summary: Statically linked binary providing simplified versions of system commands
 Name: busybox
 Version: 1.13.2
-Release: 2%{?dist}.fa1
+Release: 2%{?dist}.fa2
 Epoch: 1
 License: GPLv2
 Group: System Environment/Shells
@@ -16,6 +16,7 @@ Patch14: busybox-1.9.0-msh.patch
 Patch16: busybox-1.10.1-hwclock.patch
 Patch20: busybox-1.12.1-selinux.patch
 Patch21: uClibc-0.9.30.patch
+Patch22: uClibc-0.9.30-getline.patch
 URL: http://www.busybox.net
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)  
 BuildRequires: libselinux-devel >= 1.27.7-2
@@ -65,6 +66,7 @@ cat %{SOURCE3} >uClibc-0.9.30/.config1
 sed -i -e 's/^UCLIBC_HAS_FPU/# UCLIBC_HAS_FPU is not set/' uClibc-0.9.30/.config1
 %endif
 %patch21 -b .orig -p0
+%patch22 -b .getline -p1
 
 
 %build
@@ -162,6 +164,9 @@ rm -rf $RPM_BUILD_ROOT
 /sbin/busybox.petitboot
 
 %changelog
+* Mon Jul 06 2009 Vinit Dhatrak <vinitd@marvell.com> - 1:1.13.2-2.fa2
+- Fix getline conflict 
+
 * Thu Jun 18 2009 Kedar Sovani <kedars@marvell.com> - 1:1.13.2-2.fa1
 - Use teh correct value for ARM.
 
diff --git a/uClibc-0.9.30-getline.patch b/uClibc-0.9.30-getline.patch
new file mode 100644
index 0000000..e9bf1c1
--- /dev/null
+++ b/uClibc-0.9.30-getline.patch
@@ -0,0 +1,29 @@
+--- busybox-1.13.2/uClibc-0.9.30/extra/scripts/unifdef.c	2008/12/28 12:06:04	24572
++++ busybox-1.13.2/uClibc-0.9.30/extra/scripts/unifdef.c	2009/04/06 06:40:57	25971
+@@ -206,7 +206,7 @@
+ static void             error(const char *);
+ static int              findsym(const char *);
+ static void             flushline(bool);
+-static Linetype         getline(void);
++static Linetype         get_line(void);
+ static Linetype         ifeval(const char **);
+ static void             ignoreoff(void);
+ static void             ignoreon(void);
+@@ -512,7 +512,7 @@
+ 
+ 	for (;;) {
+ 		linenum++;
+-		lineval = getline();
++		lineval = get_line();
+ 		trans_table[ifstate[depth]][lineval]();
+ 		debug("process %s -> %s depth %d",
+ 		    linetype_name[lineval],
+@@ -526,7 +526,7 @@
+  * help from skipcomment().
+  */
+ static Linetype
+-getline(void)
++get_line(void)
+ {
+ 	const char *cp;
+ 	int cursym;
-- 
1.5.5.6

